/
githubmirror
/
lazygit
Обзор
Документация
Войти
/
githubmirror
/
lazygit
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
v0.62.0
scripts/check_commit.sh
19 строк
440 B
Stefan Haller
Add script for checking all commits in a branch
25 май 2026, 16:18
25 май 2026, 16:18
5bd9197
Код
Авторство
О чём код?
#!/bin/bash # Run some tests on the current commit, similar to what CI does; useful for # checking every commit in a branch with `git rebase -x scripts/check_commit.sh master`. set -e git diff --quiet || { echo "Error: there are unstaged changes. Please stage or stash them before running this script." exit 1 } just test just lint just generate git diff --quiet || { echo "Error: auto-generated files not up to date." exit 1 }